#!/bin/bash

# convert to html ==============================================================
asciidoctor site/*adoc

# manual modifications to html created by asciidoctor ==========================

#   make it clear where corpus is (English home)
#sed -i -e 's/"#_outputs">Outputs<\/a>/"#_outputs">Corpus \&amp; Outputs<\/a>/' site/en.html

#   shorten title for Publications section
sed -i -e 's/href="#_publications_and_contributions_to_conferences">Publications and contributions to conferences</href="#_publications_and_contributions_to_conferences">Publications</g' site/en.html
sed -i -e 's/href="#_publications_et_communications">Publications et communications</href="#_publications_et_communications">Publications</g' site/index.html

#   add home link to top entry in ToC
sed -i -e 's/"toctitle">MeThAL<\/div>/"toctitle"><a href="https:\/\/methal.pages.unistra.fr">MeThAL<\/a><\/div>/' site/index.html
sed -i -e 's/"toctitle">MeThAL<\/div>/"toctitle"><a href="https:\/\/methal.pages.unistra.fr\/en">MeThAL<\/a><\/div>/' site/en.html
sed -i -e 's/"toctitle">MeThAL<\/div>/"toctitle"><a href="https:\/\/methal.pages.unistra.fr">MeThAL<\/a><\/div>/' site/read/index.html
sed -i -e 's/"toctitle">MeThAL<\/div>/"toctitle"><a href="https:\/\/methal.pages.unistra.fr\/en">MeThAL<\/a><\/div>/' site/read/en.html

#   link to corpus exploration interface in sidebar

sed -i -e '547 i <li><a href="#_corpus" title="Corpus explorer">Explore the corpus</a>' site/en.html
sed -i -e '547 i <li><a href="#_corpus" title="Explorer le corpus">Explorer le corpus</a>' site/index.html

#sed -i -e '516 i <li><a target="_blank" href="https://methal.eu/ui/" title="Corpus explorer (Opens new tab)">Explore the corpus</a>' site/en.html
#sed -i -e '516 i <li><a target="_blank" href="https://methal.eu/ui/" title="Explorer le corpus (Nouvel onglet)">Explorer le corpus</a>' site/index.html

#<li><a target="_blank" href="https://methal.eu/ui/" title="Explorer le corpus (Nouvel onglet)">Explorer le corpus</a>

sed -i -e '548 i '

sed -i -e '548 i <ul class="sectlevel2">' site/en.html
sed -i -e '549 i <li><a target="_blank" title="Interface (Opens new tab)" href="https://methal.eu/ui/">Interface</a></li>' site/en.html
sed -i -e '550 i <li><a target="_blank" title="TEI sources (Opens new tab)" href="https://git.unistra.fr/methal/methal-sources">TEI sources</a></li>' site/en.html
sed -i -e '551 i </ul></li>' site/en.html


sed -i -e '548 i <ul class="sectlevel2">' site/index.html
sed -i -e '549 i <li><a target="_blank" title="Interface (Nouvel onglet)" href="https://methal.eu/ui/">Interface</a></li>' site/index.html
sed -i -e '550 i <li><a target="_blank" title="Sources TEI (Nouvel onglet)" href="https://git.unistra.fr/methal/methal-sources">Sources TEI</a></li>' site/index.html
sed -i -e '551 i </ul></li>' site/index.html

#interns anchor
sed -i -e '744 i <span id="_interns"></span>' site/en.html site/index.html


# read-section

sed -i -e 's/href="#_read_the_plays"/href=".\/read\/en"/g' site/en.html
sed -i -e 's/href="#_lire_les_pièces"/href=".\/read"/g' site/index.html

plays_done=$(ls site/read/tei/*xml | wc -l)
sed -i -e "s/##nbrPieces/${plays_done}/g" site/read/*html
sed -i -e "s/##nbrPieces/${plays_done}/g" site/*html

# footer date
#  date format 2021-09-27 09:37:07 UTC
realdate=$(grep -P 'Last updated on ' site/en.html | grep -Po '[0-9: -]+ UTC')
#echo "$realdate\n" >> site/log.txt

# timestamp with date
#perl -p -i -e "s/Last updated on .+/Last updated on $(date +'%Y-%m-%d %k:%M:%S')/" site/read/en.html
#perl -p -i -e "s/Last updated on .+/Mis à jour le $(date +'%Y-%m-%d %k:%M:%S')/" site/read/index.html

# timestamp with grep of the one on the main page
perl -p -i -e "s/Last updated on .+/Last updated on $realdate/" site/read/en.html
perl -p -i -e "s/Last updated on .+/Mis à jour le $realdate/" site/read/index.html

# change color / size of legal information links

perl -p -i -e 's/<a href="#_à_propos_/<a style="color:#737373;font-size:80%;" href="#_à_propos_/' site/index.html
perl -p -i -e 's/<a href="#_about_this_website/<a style="color:#737373;font-size:80%;" href="#_about_this_website/' site/en.html

# modif header links

sed -i -e 's~/\./index\.html~/#~g' site/index.html
sed -i -e 's~/\./index\.html~/#~g' site/en.html
sed -i -e 's~/\./index\.html~/#~g' site/header.html

sed -i -e 's~index\.html~/#~g' site/index.html
sed -i -e 's~index\.html~/#~g' site/en.html
sed -i -e 's~index\.html~/#~g' site/header.html

sed -i -e 's~\./en\.html~./en~' site/index.html
sed -i -e 's~\./en\.html~./en~' site/en.html
sed -i -e 's~\./en\.html~./en~' site/header.html

# COPY to public repo ==========================================================
cp -r site/*html public
cp -r site/{img,styles,docs,read,explore,stages} public/.


